# sf::Resource< T > Class Template Reference

Base class for every resource that needs to notify dependent classes about its destruction. More...

`#include <Resource.hpp>`

List of all members.

## Protected Member Functions

| Resource ()
| Default constructor.
| Resource (const Resource< T > &Copy)
| Copy constructor.
| ~Resource ()
| Destructor.
Resource< T > & | operator= (const Resource< T > &Other)
| Assignment operator.

## Friends

class | ResourcePtr< T >

## Detailed Description

### template<typename T>
class sf::Resource< T >

Base class for every resource that needs to notify dependent classes about its destruction.

Definition at line 50 of file Resource.hpp.

## Constructor & Destructor Documentation

template<typename T>

sf::Resource< T >::Resource | ( |  | ) | `[protected]`

Default constructor.

template<typename T>

sf::Resource< T >::Resource | ( | const Resource< T > & | Copy | ) | `[protected]`

Copy constructor.

Parameters:

  | Copy | : Resource to copy

template<typename T>

sf::Resource< T >::~Resource | ( |  | ) | `[protected]`

Destructor.

## Member Function Documentation

template<typename T>

Resource<T>& sf::Resource< T >::operator= | ( | const Resource< T > & | Other | ) | `[protected]`

Assignment operator.

Parameters:

  | Other | : Resource to copy

Returns:
  Reference to this

The documentation for this class was generated from the following file:

- Resource.hpp